GET
Get net open margin position limits
Returns the asset-specific net open position limits for the specified account.
Path Params
-
accountIdstring requiredThe ID of the account
Responses
200
Net open position limits
Response Body
object
-
netOpenPositionLimitsarray of objectsnetOpenPositionLimits object
-
enterpriseIdstring requiredThe unique identifier for the enterprise (e.g., "enterprise-123"). -
currencystring requiredThe currency symbol for the net open position limit (e.g., "BTC"). -
shortMarginPositionNotionalLimitobject requiredQuantity representing the notional limit for short margin positions in the specified currency (e.g., "1000000"). Currency represents the currency in which the quantity is valued (e.g., "BTC").shortMarginPositionNotionalLimit object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
longMarginPositionNotionalLimitobject requiredQuantity representing the notional limit for long margin positions in the specified currency (e.g., "2000000"). Currency represents the currency in which the quantity is valued (e.g., "BTC").longMarginPositionNotionalLimit object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-